libzypp 17.37.10

zyppng::detail::WaitForHelperExt< AsyncOpRes > Struct Template Reference

`#include <zypp-core/zyppng/pipelines/wait.h>`

## Public Member Functions
| WaitForHelperExt (std::function< bool(const AsyncOpRes &)> &&fn)
template<template< class, class... > class Container, class AsyncOp, typename ... CArgs, std::enable_if_t< detail::is_async_op_v< AsyncOp >, int > = 0>
auto | operator() (Container< std::shared_ptr< AsyncOp >, CArgs... > &&ops) -> zyppng::AsyncOpRef< Container< typename AsyncOp::value_type > >

## Private Attributes
std::function< bool(const AsyncOpRes &)> | _cb

## Detailed Description

template<typename AsyncOpRes>
struct zyppng::detail::WaitForHelperExt< AsyncOpRes >

Definition at line 103 of file wait.h.

## Constructor & Destructor Documentation

## ◆ WaitForHelperExt()

template<typename AsyncOpRes>

zyppng::detail::WaitForHelperExt< AsyncOpRes >::WaitForHelperExt | ( | std::function< bool(const AsyncOpRes &)> && | fn | ) |
| inline

Definition at line 105 of file wait.h.

## Member Function Documentation

## ◆ operator()()

template<typename AsyncOpRes>
template<template< class, class... > class Container, class AsyncOp, typename ... CArgs, std::enable_if_t< detail::is_async_op_v< AsyncOp >, int > = 0>

auto zyppng::detail::WaitForHelperExt< AsyncOpRes >::operator() | ( | Container< std::shared_ptr< AsyncOp >, CArgs... > && | ops | ) | -> zyppng::AsyncOpRef< Container<typename AsyncOp::value_type> >
| inline

Definition at line 113 of file wait.h.

## Member Data Documentation

## ◆ _cb

template<typename AsyncOpRes>

std::function<bool( const AsyncOpRes &)> zyppng::detail::WaitForHelperExt< AsyncOpRes >::_cb
| private

Definition at line 120 of file wait.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/pipelines/wait.h